Index: c/src/tests/sptests/sp09/screen01.c
===================================================================
--- c/src/tests/sptests/sp09/screen01.c	(revision 6b9450d1a6be803f4e5f749c2a33f4ae174f6edb)
+++ c/src/tests/sptests/sp09/screen01.c	(revision 012bb569b36bea365d3dd65db27360d70d5ae43f)
@@ -75,5 +75,10 @@
   puts( "TA1 - rtems_task_ident - local RTEMS_INVALID_NAME" );
 
+  /*
+   *  This one case is different if MP is enabled/disabled.
+   */
+
   status = rtems_task_ident( 100, 2, &Junk_id );
+#if defined(RTEMS_MULTIPROCESSING)
   fatal_directive_status(
     status,
@@ -81,4 +86,11 @@
     "rtems_task_ident with illegal node"
   );
+#else
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_NAME,
+    "rtems_task_ident with illegal node"
+  );
+#endif
   puts( "TA1 - rtems_task_ident - RTEMS_INVALID_NODE" );
 
Index: c/src/tests/sptests/sp09/screen03.c
===================================================================
--- c/src/tests/sptests/sp09/screen03.c	(revision 6b9450d1a6be803f4e5f749c2a33f4ae174f6edb)
+++ c/src/tests/sptests/sp09/screen03.c	(revision 012bb569b36bea365d3dd65db27360d70d5ae43f)
@@ -201,4 +201,10 @@
   puts( "TA1 - rtems_task_create - 11 - RTEMS_TOO_MANY" );
 
+  /*
+   *  The check for an object being global is only made if 
+   *  multiprocessing is enabled.
+   */
+
+#if defined(RTEMS_MULTIPROCESSING)
   status = rtems_task_create(
     task_name,
@@ -214,4 +220,5 @@
     "rtems_task_create of global task in a single cpu system"
   );
+#endif
   puts( "TA1 - rtems_task_create - RTEMS_MP_NOT_CONFIGURED" );
 }
Index: c/src/tests/sptests/sp09/screen05.c
===================================================================
--- c/src/tests/sptests/sp09/screen05.c	(revision 6b9450d1a6be803f4e5f749c2a33f4ae174f6edb)
+++ c/src/tests/sptests/sp09/screen05.c	(revision 012bb569b36bea365d3dd65db27360d70d5ae43f)
@@ -117,4 +117,10 @@
   puts( "TA1 - rtems_semaphore_create - RTEMS_INVALID_NUMBER" );
 
+  /*
+   *  The check for an object being global is only made if
+   *  multiprocessing is enabled.
+   */
+
+#if defined(RTEMS_MULTIPROCESSING)
   status = rtems_semaphore_create(
     Semaphore_name[ 3 ],
@@ -129,4 +135,5 @@
     "rtems_semaphore_create of mp not configured"
   );
+#endif
   puts( "TA1 - rtems_semaphore_create - RTEMS_MP_NOT_CONFIGURED" );
 
Index: c/src/tests/sptests/sp09/screen07.c
===================================================================
--- c/src/tests/sptests/sp09/screen07.c	(revision 6b9450d1a6be803f4e5f749c2a33f4ae174f6edb)
+++ c/src/tests/sptests/sp09/screen07.c	(revision 012bb569b36bea365d3dd65db27360d70d5ae43f)
@@ -47,6 +47,12 @@
     "rtems_message_queue_create with illegal name"
   );
-
   puts( "TA1 - rtems_message_queue_create - Q 1 - RTEMS_INVALID_NAME" );
+
+  /*
+   *  The check for an object being global is only made if
+   *  multiprocessing is enabled.
+   */
+
+#if defined(RTEMS_MULTIPROCESSING)
   status = rtems_message_queue_create(
     Queue_name[ 1 ],
@@ -61,4 +67,5 @@
     "rtems_message_queue_create of mp not configured"
   );
+#endif
   puts( "TA1 - rtems_message_queue_create - Q 1 - RTEMS_MP_NOT_CONFIGURED" );
 
Index: c/src/tests/sptests/sp09/screen11.c
===================================================================
--- c/src/tests/sptests/sp09/screen11.c	(revision 6b9450d1a6be803f4e5f749c2a33f4ae174f6edb)
+++ c/src/tests/sptests/sp09/screen11.c	(revision 012bb569b36bea365d3dd65db27360d70d5ae43f)
@@ -89,4 +89,10 @@
   );
 
+  /*
+   *  The check for an object being global is only made if
+   *  multiprocessing is enabled.
+   */
+
+#if defined(RTEMS_MULTIPROCESSING)
   status = rtems_partition_create(
     Partition_name[ 1 ],
@@ -102,4 +108,5 @@
     "rtems_partition_create of global"
   );
+#endif
   puts( "TA1 - rtems_partition_create - RTEMS_MP_NOT_CONFIGURED" );
 
Index: testsuites/sptests/sp09/screen01.c
===================================================================
--- testsuites/sptests/sp09/screen01.c	(revision 6b9450d1a6be803f4e5f749c2a33f4ae174f6edb)
+++ testsuites/sptests/sp09/screen01.c	(revision 012bb569b36bea365d3dd65db27360d70d5ae43f)
@@ -75,5 +75,10 @@
   puts( "TA1 - rtems_task_ident - local RTEMS_INVALID_NAME" );
 
+  /*
+   *  This one case is different if MP is enabled/disabled.
+   */
+
   status = rtems_task_ident( 100, 2, &Junk_id );
+#if defined(RTEMS_MULTIPROCESSING)
   fatal_directive_status(
     status,
@@ -81,4 +86,11 @@
     "rtems_task_ident with illegal node"
   );
+#else
+  fatal_directive_status(
+    status,
+    RTEMS_INVALID_NAME,
+    "rtems_task_ident with illegal node"
+  );
+#endif
   puts( "TA1 - rtems_task_ident - RTEMS_INVALID_NODE" );
 
Index: testsuites/sptests/sp09/screen03.c
===================================================================
--- testsuites/sptests/sp09/screen03.c	(revision 6b9450d1a6be803f4e5f749c2a33f4ae174f6edb)
+++ testsuites/sptests/sp09/screen03.c	(revision 012bb569b36bea365d3dd65db27360d70d5ae43f)
@@ -201,4 +201,10 @@
   puts( "TA1 - rtems_task_create - 11 - RTEMS_TOO_MANY" );
 
+  /*
+   *  The check for an object being global is only made if 
+   *  multiprocessing is enabled.
+   */
+
+#if defined(RTEMS_MULTIPROCESSING)
   status = rtems_task_create(
     task_name,
@@ -214,4 +220,5 @@
     "rtems_task_create of global task in a single cpu system"
   );
+#endif
   puts( "TA1 - rtems_task_create - RTEMS_MP_NOT_CONFIGURED" );
 }
Index: testsuites/sptests/sp09/screen05.c
===================================================================
--- testsuites/sptests/sp09/screen05.c	(revision 6b9450d1a6be803f4e5f749c2a33f4ae174f6edb)
+++ testsuites/sptests/sp09/screen05.c	(revision 012bb569b36bea365d3dd65db27360d70d5ae43f)
@@ -117,4 +117,10 @@
   puts( "TA1 - rtems_semaphore_create - RTEMS_INVALID_NUMBER" );
 
+  /*
+   *  The check for an object being global is only made if
+   *  multiprocessing is enabled.
+   */
+
+#if defined(RTEMS_MULTIPROCESSING)
   status = rtems_semaphore_create(
     Semaphore_name[ 3 ],
@@ -129,4 +135,5 @@
     "rtems_semaphore_create of mp not configured"
   );
+#endif
   puts( "TA1 - rtems_semaphore_create - RTEMS_MP_NOT_CONFIGURED" );
 
Index: testsuites/sptests/sp09/screen07.c
===================================================================
--- testsuites/sptests/sp09/screen07.c	(revision 6b9450d1a6be803f4e5f749c2a33f4ae174f6edb)
+++ testsuites/sptests/sp09/screen07.c	(revision 012bb569b36bea365d3dd65db27360d70d5ae43f)
@@ -47,6 +47,12 @@
     "rtems_message_queue_create with illegal name"
   );
-
   puts( "TA1 - rtems_message_queue_create - Q 1 - RTEMS_INVALID_NAME" );
+
+  /*
+   *  The check for an object being global is only made if
+   *  multiprocessing is enabled.
+   */
+
+#if defined(RTEMS_MULTIPROCESSING)
   status = rtems_message_queue_create(
     Queue_name[ 1 ],
@@ -61,4 +67,5 @@
     "rtems_message_queue_create of mp not configured"
   );
+#endif
   puts( "TA1 - rtems_message_queue_create - Q 1 - RTEMS_MP_NOT_CONFIGURED" );
 
Index: testsuites/sptests/sp09/screen11.c
===================================================================
--- testsuites/sptests/sp09/screen11.c	(revision 6b9450d1a6be803f4e5f749c2a33f4ae174f6edb)
+++ testsuites/sptests/sp09/screen11.c	(revision 012bb569b36bea365d3dd65db27360d70d5ae43f)
@@ -89,4 +89,10 @@
   );
 
+  /*
+   *  The check for an object being global is only made if
+   *  multiprocessing is enabled.
+   */
+
+#if defined(RTEMS_MULTIPROCESSING)
   status = rtems_partition_create(
     Partition_name[ 1 ],
@@ -102,4 +108,5 @@
     "rtems_partition_create of global"
   );
+#endif
   puts( "TA1 - rtems_partition_create - RTEMS_MP_NOT_CONFIGURED" );
 
